<html>
<head>
<title>OGRE: OgreTextAreaOverlayElement.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreTextAreaOverlayElement.h</h1><a href="OgreTextAreaOverlayElement_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*-------------------------------------------------------------------------</span>
<a name="l00002"></a>00002 <span class="comment">This source file is a part of OGRE</span>
<a name="l00003"></a>00003 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This library is free software; you can redistribute it and/or modify it</span>
<a name="l00011"></a>00011 <span class="comment">under the terms of the GNU Lesser General Public License (LGPL) as </span>
<a name="l00012"></a>00012 <span class="comment">published by the Free Software Foundation; either version 2.1 of the </span>
<a name="l00013"></a>00013 <span class="comment">License, or (at your option) any later version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This library is distributed in the hope that it will be useful, but </span>
<a name="l00016"></a>00016 <span class="comment">WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY </span>
<a name="l00017"></a>00017 <span class="comment">or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public </span>
<a name="l00018"></a>00018 <span class="comment">License for more details.</span>
<a name="l00019"></a>00019 <span class="comment"></span>
<a name="l00020"></a>00020 <span class="comment">You should have received a copy of the GNU Lesser General Public License </span>
<a name="l00021"></a>00021 <span class="comment">along with this library; if not, write to the Free Software Foundation, </span>
<a name="l00022"></a>00022 <span class="comment">Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA or go to</span>
<a name="l00023"></a>00023 <span class="comment">http://www.gnu.org/copyleft/lesser.txt</span>
<a name="l00024"></a>00024 <span class="comment">-------------------------------------------------------------------------*/</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="preprocessor">#ifndef _TextAreaOverlayElement_H__</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#define _TextAreaOverlayElement_H__</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span>
<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="OgreOverlayElement_8h.html">OgreOverlayElement.h</a>"</span>
<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="OgreFont_8h.html">OgreFont.h</a>"</span>
<a name="l00031"></a>00031 
<a name="l00032"></a>00032 <span class="keyword">namespace </span>Ogre
<a name="l00033"></a>00033 {
<a name="l00036"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html">00036</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html" title="This class implements an overlay element which contains simple unformatted text.">TextAreaOverlayElement</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>
<a name="l00037"></a>00037     {
<a name="l00038"></a>00038     <span class="keyword">public</span>:
<a name="l00039"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#10447c4f63a1ea3b9084d32518dd7620">00039</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#10447c4f63a1ea3b9084d32518dd7620">Alignment</a>
<a name="l00040"></a>00040         {
<a name="l00041"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#10447c4f63a1ea3b9084d32518dd7620a2de28cc541a4e31b1af35e0bc97f6e3">00041</a>             Left,
<a name="l00042"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#10447c4f63a1ea3b9084d32518dd7620224b24e02502ea0d67ec607db7117f86">00042</a>             Right,
<a name="l00043"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#10447c4f63a1ea3b9084d32518dd76207ad07bf977d410148895edaeab788c8c">00043</a>             Center
<a name="l00044"></a>00044         };
<a name="l00045"></a>00045 
<a name="l00046"></a>00046     <span class="keyword">public</span>:
<a name="l00048"></a>00048         <a class="code" href="classOgre_1_1TextAreaOverlayElement.html" title="This class implements an overlay element which contains simple unformatted text.">TextAreaOverlayElement</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00049"></a>00049         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1TextAreaOverlayElement.html" title="This class implements an overlay element which contains simple unformatted text.">TextAreaOverlayElement</a>();
<a name="l00050"></a>00050 
<a name="l00051"></a>00051         <span class="keyword">virtual</span> <span class="keywordtype">void</span> initialise(<span class="keywordtype">void</span>);
<a name="l00052"></a>00052         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCaption(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f7f1d73c45c54848737f8d59741822f0">DisplayString</a>&amp; text);
<a name="l00053"></a>00053 
<a name="l00054"></a>00054         <span class="keywordtype">void</span> setCharHeight( <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height );
<a name="l00055"></a>00055         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getCharHeight() <span class="keyword">const</span>;
<a name="l00056"></a>00056 
<a name="l00057"></a>00057         <span class="keywordtype">void</span> setSpaceWidth( <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width );
<a name="l00058"></a>00058         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getSpaceWidth() <span class="keyword">const</span>;
<a name="l00059"></a>00059 
<a name="l00060"></a>00060         <span class="keywordtype">void</span> setFontName( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; font );
<a name="l00061"></a>00061         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getFontName() <span class="keyword">const</span>;
<a name="l00062"></a>00062 
<a name="l00064"></a>00064         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getTypeName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00066"></a>00066         <span class="keywordtype">void</span> getRenderOperation(<a class="code" href="classOgre_1_1RenderOperation.html" title="&amp;#39;New&amp;#39; rendering operation using vertex buffers.">RenderOperation</a>&amp; op);
<a name="l00068"></a>00068         <span class="keywordtype">void</span> setMaterialName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; matName);
<a name="l00069"></a>00069 
<a name="l00076"></a>00076         <span class="keywordtype">void</span> setColour(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; col);
<a name="l00077"></a>00077 
<a name="l00079"></a>00079         <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00086"></a>00086         <span class="keywordtype">void</span> setColourBottom(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; col);
<a name="l00088"></a>00088         <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getColourBottom(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00095"></a>00095         <span class="keywordtype">void</span> setColourTop(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; col);
<a name="l00097"></a>00097         <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getColourTop(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00098"></a>00098 
<a name="l00099"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#4bfa3788d8c187e446f2e8272960a1d8">00099</a>         <span class="keyword">inline</span> <span class="keywordtype">void</span> setAlignment( <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#10447c4f63a1ea3b9084d32518dd7620">Alignment</a> a )
<a name="l00100"></a>00100         {
<a name="l00101"></a>00101             mAlignment = a;
<a name="l00102"></a>00102             mGeomPositionsOutOfDate = <span class="keyword">true</span>;
<a name="l00103"></a>00103         }
<a name="l00104"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#ce8d1af9df852c69caf8865719230d91">00104</a>         <span class="keyword">inline</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#10447c4f63a1ea3b9084d32518dd7620">Alignment</a> getAlignment()<span class="keyword"> const</span>
<a name="l00105"></a>00105 <span class="keyword">        </span>{
<a name="l00106"></a>00106             <span class="keywordflow">return</span> mAlignment;
<a name="l00107"></a>00107         }
<a name="l00108"></a>00108 
<a name="l00110"></a>00110         <span class="keywordtype">void</span> setMetricsMode(<a class="code" href="namespaceOgre.html#a7655e44eacdfd45427ff35bde855f36" title="Enum describing how the position / size of an element is to be recorded.">GuiMetricsMode</a> gmm);
<a name="l00111"></a>00111 
<a name="l00113"></a>00113         <span class="keywordtype">void</span> _update(<span class="keywordtype">void</span>);
<a name="l00114"></a>00114 
<a name="l00115"></a>00115         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00119"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCaption.html">00119</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCaption.html" title="Command object for setting the caption.">CmdCaption</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00120"></a>00120         {
<a name="l00121"></a>00121         <span class="keyword">public</span>:
<a name="l00122"></a>00122             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00123"></a>00123             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00124"></a>00124         };
<a name="l00125"></a>00125         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00129"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html">00129</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html" title="Command object for setting the char height.">CmdCharHeight</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00130"></a>00130         {
<a name="l00131"></a>00131         <span class="keyword">public</span>:
<a name="l00132"></a>00132             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00133"></a>00133             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00134"></a>00134         };
<a name="l00135"></a>00135         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00139"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html">00139</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html" title="Command object for setting the width of a space.">CmdSpaceWidth</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00140"></a>00140         {
<a name="l00141"></a>00141         <span class="keyword">public</span>:
<a name="l00142"></a>00142             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00143"></a>00143             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00144"></a>00144         };
<a name="l00145"></a>00145         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00149"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html">00149</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html" title="Command object for setting the caption.">CmdFontName</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00150"></a>00150         {
<a name="l00151"></a>00151         <span class="keyword">public</span>:
<a name="l00152"></a>00152             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00153"></a>00153             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00154"></a>00154         };
<a name="l00155"></a>00155         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00159"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html">00159</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html" title="Command object for setting the top colour.">CmdColourTop</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00160"></a>00160         {
<a name="l00161"></a>00161         <span class="keyword">public</span>:
<a name="l00162"></a>00162             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00163"></a>00163             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00164"></a>00164         };
<a name="l00165"></a>00165         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00169"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html">00169</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html" title="Command object for setting the bottom colour.">CmdColourBottom</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00170"></a>00170         {
<a name="l00171"></a>00171         <span class="keyword">public</span>:
<a name="l00172"></a>00172             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00173"></a>00173             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00174"></a>00174         };
<a name="l00175"></a>00175         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00179"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html">00179</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html" title="Command object for setting the constant colour.">CmdColour</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00180"></a>00180         {
<a name="l00181"></a>00181         <span class="keyword">public</span>:
<a name="l00182"></a>00182             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00183"></a>00183             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00184"></a>00184         };
<a name="l00185"></a>00185         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00189"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html">00189</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html" title="Command object for setting the alignment.">CmdAlignment</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00190"></a>00190         {
<a name="l00191"></a>00191         <span class="keyword">public</span>:
<a name="l00192"></a>00192             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00193"></a>00193             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00194"></a>00194         };
<a name="l00195"></a>00195 
<a name="l00196"></a>00196     <span class="keyword">protected</span>:
<a name="l00198"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#9c5a615ac025812ddd864f5a1eb84db4">00198</a>         <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#10447c4f63a1ea3b9084d32518dd7620">Alignment</a> mAlignment;
<a name="l00199"></a>00199 
<a name="l00201"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#e09d25fea5deead15be5fb28b70df851">00201</a>         <span class="keywordtype">bool</span> mTransparent;
<a name="l00202"></a>00202 
<a name="l00204"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#5feb4b4cb5edced7f32af5b140d2131e">00204</a>         <a class="code" href="classOgre_1_1RenderOperation.html" title="&amp;#39;New&amp;#39; rendering operation using vertex buffers.">RenderOperation</a> mRenderOp;
<a name="l00205"></a>00205 
<a name="l00207"></a>00207         <span class="keywordtype">void</span> addBaseParameters(<span class="keywordtype">void</span>);
<a name="l00208"></a>00208 
<a name="l00209"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#4e3a5ee47266ff4690c770b0103dc58a">00209</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> msTypeName;
<a name="l00210"></a>00210 
<a name="l00211"></a>00211         <span class="comment">// Command objects</span>
<a name="l00212"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#af1654e19087cee149905a6d3095a052">00212</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html" title="Command object for setting the char height.">CmdCharHeight</a> msCmdCharHeight;
<a name="l00213"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#36bf986cf4398857cb38489012527f76">00213</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html" title="Command object for setting the width of a space.">CmdSpaceWidth</a> msCmdSpaceWidth;
<a name="l00214"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a09499fe3f120a7a23b4f4eaba3c6047">00214</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html" title="Command object for setting the caption.">CmdFontName</a> msCmdFontName;
<a name="l00215"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a331a3e0471c2b80dc1ce564216c6ddc">00215</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html" title="Command object for setting the constant colour.">CmdColour</a> msCmdColour;
<a name="l00216"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#8e7588d4eb1dfb5fd91734c6e1bb3d38">00216</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html" title="Command object for setting the top colour.">CmdColourTop</a> msCmdColourTop;
<a name="l00217"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#855e8afee62a12406b2124af751012b0">00217</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html" title="Command object for setting the bottom colour.">CmdColourBottom</a> msCmdColourBottom;
<a name="l00218"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#7ed744f83ad9f56ddabea9145dcfe601">00218</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html" title="Command object for setting the alignment.">CmdAlignment</a> msCmdAlignment;
<a name="l00219"></a>00219 
<a name="l00220"></a>00220 
<a name="l00221"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#519e548afc49b86d70da4323c1c49424">00221</a>         <a class="code" href="classOgre_1_1FontPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to FontPtr.">FontPtr</a> mpFont;
<a name="l00222"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#3a48d43d0030bb9680bfc7e5efb89be9">00222</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mCharHeight;
<a name="l00223"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#1ae6d9ab9adc26f61b0b1f60eb9fa54b">00223</a>         <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mPixelCharHeight;
<a name="l00224"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#d8cade1c0edf8b848289733e58a9217f">00224</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mSpaceWidth;
<a name="l00225"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#289dd0f9addb0abb49785b9b06d87456">00225</a>         <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mPixelSpaceWidth;
<a name="l00226"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#90251723b1d4ec72a66a35c6ae07fcbd">00226</a>         <span class="keywordtype">size_t</span> mAllocSize;
<a name="l00227"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#0f0cd55670b8b722191c6075451d0e55">00227</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mViewportAspectCoef;
<a name="l00228"></a>00228 
<a name="l00230"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#820589589a3b6e8c40efe93f2339ec83">00230</a>         <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> mColourBottom;
<a name="l00231"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#5d7355cb194284891d01d6217260d51e">00231</a>         <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> mColourTop;
<a name="l00232"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#b8471a54a8fb30eb3dea918065ad9692">00232</a>         <span class="keywordtype">bool</span> mColoursChanged;
<a name="l00233"></a>00233 
<a name="l00234"></a>00234 
<a name="l00236"></a>00236         <span class="keywordtype">void</span> checkMemoryAllocation( <span class="keywordtype">size_t</span> numChars );
<a name="l00238"></a>00238         <span class="keyword">virtual</span> <span class="keywordtype">void</span> updatePositionGeometry();
<a name="l00240"></a>00240         <span class="keyword">virtual</span> <span class="keywordtype">void</span> updateTextureGeometry();
<a name="l00242"></a>00242         <span class="keyword">virtual</span> <span class="keywordtype">void</span> updateColours(<span class="keywordtype">void</span>);
<a name="l00243"></a>00243     };
<a name="l00244"></a>00244 }
<a name="l00245"></a>00245 
<a name="l00246"></a>00246 <span class="preprocessor">#endif</span>
<a name="l00247"></a>00247 <span class="preprocessor"></span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
